#property copyright "Sevostyanov Anton"
#property link      "Antonsevost@gmail.com"    // * * * ver.3.03C * * *
//------------------------------------------------------------------------------------------

static int sp, Digits_now;
static double askprev, bidprev, hp;
static string s2;

void init()
  {
  s2=Symbol();
  askprev=MarketInfo(s2, MODE_ASK);
  bidprev=MarketInfo(s2, MODE_BID);
  Digits_now=Digits;
  hp=Point;
  sp=(MarketInfo(s2, MODE_ASK)-MarketInfo(s2, MODE_BID))/hp;
  Print("Started!");
  return;
  }
//===========================================================================================================
void deinit()
  {
  return;
  }
//===========================================================================================================


void start()
  {
  double ask0,bid0,L1,L2;
  int Lag_ask, Lag_bid;
  bool dir_a, dir_b, zero_a, zero_b;
  //---------------------------
  ask0=MarketInfo(s2, MODE_ASK); L1=ask0-askprev;   //   Ask  1  ()
  bid0=MarketInfo(s2, MODE_BID); L2=bid0-bidprev;
  Lag_ask=Point_DBL_to_INT(NormalizeDouble(L1, Digits_now));
  Lag_bid=Point_DBL_to_INT(NormalizeDouble(L2, Digits_now));
  zero_a=false;
  zero_b=false;
  if (L1>0) dir_a=true; else if (L1<0) dir_a=false; else zero_a=true;
  if (L2>0) dir_b=true; else if (L2<0) dir_b=false; else zero_b=true;
  if (!zero_a && !zero_b && dir_a!=dir_b)    // 2   
     {
     Print(Lag_ask," , ",Lag_bid);
     }
  //--------------------------------------
  Lag_ask=(ask0-bid0)/hp;
  if (Lag_ask!=sp)
     {
     Print("   =",Lag_ask);
     sp=Lag_ask;
     }
  //--------------------------------------
  askprev=ask0;
  bidprev=bid0;
  //--------------------------------------
  return;
  }
  
  
//=========================================================
  int Point_DBL_to_INT(double chk)
    {
    string st;
    int sf, sl;
    //--------------------
    st=DoubleToStr(chk, Digits_now);
    sf=StringFind(st, ".", 0)+1;
    if (sf==0) return (chk);
    sl=StringLen(st)-1;
    st=StringSubstr(st, sf, sl);
    sf=StrToInteger(st);
    if (chk<0) sf=-sf;
    return (sf);
    }